## Apache Zeta Components Manual :: Docs For Class ezcGraphFlashDriverOptions

### Graph::ezcGraphFlashDriverOptions

### Class ezcGraphFlashDriverOptions

Class containing the extended configuration options for the flash driver.

The flash driver can be configured to use a different circle resolution, as circles are only emulated in the flash driver, and to use a diffrent compression for the generated SWF files.

1. $graph=new ezcGraphPieChart ();
2. $graph->title='Access statistics';
3. $graph->legend=false;
5. $graph->driver=new ezcGraphFlashDriver ();
6. $graph->driver->options->compresion=0;
8. $graph->options->font='tutorial_font.fdb';
10. $graph->driver->options->compression=7;
12. $graph->data['Access statistics']=new ezcGraphArrayDataSet (array(
13. 'Mozilla'=>19113,
14. 'Explorer'=>10917,
15. 'Opera'=>1464,
16. 'Safari'=>652,
17. 'Konqueror'=>474,
18. ) );
20. $graph->render(400,200,'tutorial_driver_flash.swf');

Source for this file: /Graph/src/options/flash_driver.php

    ezcBaseOptions
       |
       --ezcGraphDriverOptions
          |
          --ezcGraphFlashDriverOptions

Version: | //autogentag//

### Properties

float | read/write | `$circleResolution` Resolution for circles, until I understand how to draw ellipses with SWFShape::curveTo()
int | read/write | `$compression` Compression level used for generated flash file

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Inherited Methods

From ezcGraphDriverOptions
public void | `ezcGraphDriverOptions::__set()` Set an option value
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3